Bug 1578100 - Missing guice-multibindings dependency
Summary: Missing guice-multibindings dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-recommenders
Version: 28
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-14 19:44 UTC by Robert Marcano
Modified: 2018-09-26 20:20 UTC (History)
1 user (show)

Fixed In Version: eclipse-recommenders-2.5.4-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-26 20:20:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Robert Marcano 2018-05-14 19:44:23 UTC
Description of problem:

Eclipse gives errors with recommenders when using content assist

Version-Release number of selected component (if applicable):

eclipse-recommenders-2.5.1-2.fc28.noarch

Additional info:

The file:

  /usr/share/eclipse/droplets/recommenders/eclipse/plugins/com.google.inject.multibindings_4.1.0.jar

is a broken link, The guice-multibindings package is needed as a requirement to eclipse-recommenders

Comment 1 Fedora Update System 2018-09-13 10:39:54 UTC
ecj-4.9-1.fc29 eclipse-cdt-9.5.3-1.fc29 eclipse-dltk-5.10.0-1.fc29 eclipse-dtp-1.14.102-1.fc29 eclipse-linuxtools-7.1.0-0.3.fc29 eclipse-m2e-core-1.9.1-2.fc29 eclipse-mylyn-3.25.0-0.2.fc29 eclipse-photran-9.2.0-1.fc29 eclipse-ptp-9.2.0-3.fc29 eclipse-recommenders-2.5.4-2.fc29 eclipse-rse-3.7.100-1.fc29 eclipse-swtbot-2.8.0-1.fc29 eclipse-testng-6.14.0-5.fc29 eclipse-usage-4.9.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ae695a39ca

Comment 2 Fedora Update System 2018-09-13 15:22:05 UTC
ecj-4.9-1.fc29, eclipse-cdt-9.5.3-1.fc29, eclipse-dltk-5.10.0-1.fc29, eclipse-dtp-1.14.102-1.fc29, eclipse-linuxtools-7.1.0-0.3.fc29, eclipse-m2e-core-1.9.1-2.fc29, eclipse-mylyn-3.25.0-0.2.fc29, eclipse-photran-9.2.0-1.fc29, eclipse-ptp-9.2.0-3.fc29, eclipse-recommenders-2.5.4-2.fc29, eclipse-rse-3.7.100-1.fc29, eclipse-swtbot-2.8.0-1.fc29, eclipse-testng-6.14.0-5.fc29, eclipse-usage-4.9.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ae695a39ca

Comment 3 Fedora Update System 2018-09-26 20:20:14 UTC
ecj-4.9-1.fc29, eclipse-cdt-9.5.3-1.fc29, eclipse-dltk-5.10.0-1.fc29, eclipse-dtp-1.14.102-1.fc29, eclipse-linuxtools-7.1.0-0.3.fc29, eclipse-m2e-core-1.9.1-2.fc29, eclipse-mylyn-3.25.0-0.2.fc29, eclipse-photran-9.2.0-1.fc29, eclipse-ptp-9.2.0-3.fc29, eclipse-recommenders-2.5.4-2.fc29, eclipse-rse-3.7.100-1.fc29, eclipse-swtbot-2.8.0-1.fc29, eclipse-testng-6.14.0-5.fc29, eclipse-usage-4.9.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.